﻿Type=Activity
Version=2.00
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim th As cTabHost 

	Dim bClickMe As Button
	Dim etThing As EditText 
	
	Dim IME As IME
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Setup the tabhost
	
	IME.Initialize("")
	
	'the Null paramater is telling cTabHost we don't have a map of TabName, Panel to pass to it
	th.Initialize(Me, Activity, "TabChanged", Null)
	
	Dim p As Panel : p.Initialize("TabContent") 
	p.Color = Colors.Gray 
	th.AddTab("Page 1", p)
	
	bClickMe.Initialize("ClickMe")
	bClickMe.Text = "Click Me!"
	bClickMe.TextSize = 16
	bClickMe.Typeface = Typeface.DEFAULT_BOLD 
	th.AddView("Page 1", bClickMe, 5, 5, 200, 60)
	
	Dim p As Panel : p.Initialize("TabContent") 
	p.Color = Colors.Gray 
	th.AddTab("Page 2", p)

	etThing.Initialize("thing")
	etThing.Text = "I'm a happy little thing"
	th.AddView("Page 2", etThing, 20, 100, 250, 120)

	th.ShowTab("Page 1")
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub ClickMe_Click
	Msgbox("Hey, you clicked me! For that I'm removing Page 2!", "")
	
	th.RemoveTab("Page 2")

	th.ShowTab("Page 1")
End Sub

Sub TabChanged(tabname As String)
	'I do this as a minimum to make the keyboard go away if it's showing
	'Test it by clicking on the edittext on tab Page 2 which will bring up the keyboard then go to tab Page 1
	'and it should vanish
	IME.HideKeyboard 
	
	'Example processing of the tab
	
	Select tabname
		Case "Page 1"
			Log("Page 1 came to front")
			
		Case "Page 2"
			Log("Page 2 did it's thing")
	End Select
End Sub

'this was copied from the cTabHost class.
'It's needed if you want to handle swiping on a tab content (internal panel)
'to select tabs
Private Sub TabContent_Touch(Action As Int, X As Float, Y As Float)
	th.Panel_Touch(Action, X, Y)
End Sub
